For AI agents: a documentation index is available at /llms.txt. A markdown version of this page is available at /guide/api/endpoints/checklist/checklists-templates-update.md.

APIEndpointsChecklist

Update a checklist template

When items is supplied the item set is replaced.

POST/api/v1/partner/checklists/templates/update

When items is supplied the item set is replaced. Payload: {template_id*, name?, checklist_group_id?, auto_attach?, is_active?, items?:[{label}]}.

#Authorizations

X-API-KEYstringrequired

Developer API key (starts with pk_)

Example: pk_1234567890abcdef1234567890abcdef1234567890abcdef1234567890

X-TIMESTAMPintegerrequired

Unix timestamp in seconds (must be within ±5 minutes of server time)

Example: 1704806400

X-NONCEstringrequired

One-time random string (minimum 8 characters, prevents replay attacks)

Example: b7f91c2e5a8d3f1e

X-SIGNATUREstringrequired

HMAC-SHA256 signature of canonical string (hex-encoded)

Example: a1b2c3d4e5f67890abcdef1234567890abcdef1234567890abcdef1234567890

#Headers

Acceptstringrequired

Content type of response

Example: application/json

Content-Typestringrequired

Content type of request

Example: application/json

#Request body

encrypted_datastringrequired

#Responses

200Success
400Validation error
404Template not found